Skip to main content
`Ctrl`+`K`

# MatRestrict

\(y = A*x\) or \(A^T*x\)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestrict(Mat A, Vec x, Vec y)

Neighbor-wise Collective

## Input Parameters

- A - the matrix

- x - the vector to be restricted

## Output Parameter

- y - the resulting vector

## Note

This allows one to use either the restriction or interpolation (its transpose) matrix to do the restriction

## See Also

Matrices, `Mat`, `MatMultAdd()`, `MatMultTransposeAdd()`, `MatInterpolate()`, `PCMG`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ts/tutorials/ex29.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages